Subject: [Angel de Vicente] Re: bug#59178: 28.2 ; Problems with Gnus (Emacs) + GnuPG for signing a mail with S/MIME

From: Björn Bidar <[email-masked]>
Date: Sat, 12 Nov 2022 14:46:10 +0200

Sorry I forgot reply to the bug and now sending the answers that didn't
went to the bug.

Subject: Re: bug#59178: 28.2 ; Problems with Gnus (Emacs) + GnuPG for signing a mail with S/MIME
From: Angel de Vicente <[email-masked]>
To: Björn Bidar <[email-masked]>
Date: Sat, 12 Nov 2022 07:56:08 +0000

Hello Björn,

Björn Bidar <[email-masked]> writes:

> Which pinentry are you using? Recently I learned that not all Pinentry's
> support the Emacs hack (INSIDE_EMACS).
>
> I think the Qt pinentry didn't support it for example.

not completely sure. The default pinentry is a text file that redirects
to some of the other pinentrys. 

,----
| $ which pinentry
| /usr/bin/pinentry
| 
| $ ls -ltr /usr/bin/pinentry*
| -rwxr-xr-x 1 root root  55672 Aug 29 22:49 /usr/bin/pinentry-tty
| -rwxr-xr-x 1 root root 182816 Aug 29 22:49 /usr/bin/pinentry-qt
| -rwxr-xr-x 1 root root  84320 Aug 29 22:49 /usr/bin/pinentry-gtk-2
| -rwxr-xr-x 1 root root  76128 Aug 29 22:49 /usr/bin/pinentry-gnome3
| -rwxr-xr-x 1 root root  51576 Aug 29 22:49 /usr/bin/pinentry-emacs
| -rwxr-xr-x 1 root root  63864 Aug 29 22:49 /usr/bin/pinentry-curses
| -rwxr-xr-x 1 root root    369 Aug 29 22:49 /usr/bin/pinentry
`----

>From a terminal, if I just check for help, it looks like the gtk-2
version would be used, but once I'm inside Emacs, I don't know how to
check which version is finally really bein used.
,----
| $ pinentry --help
| pinentry-gtk2 (pinentry) 1.2.1
| Copyright (C) 2016 g10 Code GmbH
`----

Thanks,
-- 
Ángel de Vicente
 Research Software Engineer (Supercomputing and BigData)
 Tel.: +34 922-605-747
 Web.: http://research.iac.es/proyecto/polmag/

 GPG: 0x8BDC390B69033F52